/***********************************************
 * Licensed Materials - Property of IBM
 * 
 * 5724-R31, 5655-S30
 * 
 * (C) Copyright IBM Corp. 2010 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ***********************************************
 */

package com.ibm.websphere.icp.banking.nao.mock;


public final class DataSetup {

    static interface LifecycleStatus {
        String EFFECTIVE = "Effective";
        String SUSPENDED = "Suspended";
        String TERMINATED = "Terminated";
        String REQUESTED = "Requested";
    }

    static interface ResidenceStatusOfUS {
        String CITIZEN_PR = "Citizen/PR";
        String TEMPORARY = "Temporary";
    }

    static interface AccountType {
        String SAVING = "Saving";
        String CHECKING = "Checking";
        String CD = "CD";
    }

    static interface AddressComponentTypes {
        String ADDRESS_LINES = "Address Lines";
        String CITY = "City";
        String REGION = "Region";
        String COUNTRY = "Country";
        String POSTAL_CODE = "Postal Code";
    }

    static interface DocumentTypes {
        String PAY_STUBS = "Pay stubs";
        String W2_FORM = "W2 form";
        String TWO_YRS_IT_RETURNS = "Two years of income tax returns";
        String TAX_RETURNS = "Tax return";
        String SSN_CARD = "SSN Card";
        String DRIVING_LICENSE = "Driving License";
        String CITIZENSHIP_PR_PROOF = "Proof of Citizenship/PR";
        String VISA_INFORMATION = "Visa Information";
    }

    static interface DataType {
    	int INTEGER = 1;
    	int STRING = 2;
    	int BOOLEAN = 3;
    	int DATA_OBJECT = 4;
    	int DATE = 5;
    	int LONG = 6;
    }
}
